%if 0%{?el7}
%define dist .el7
%endif

Summary: Library and frontend for decoding MPEG2/4 AAC
Name: faad2
Version: 2.8.8
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.audiocoding.com/

Packager: momo-i <webmaster@momo-i.org>
Vendor: momo-i, http://www.momo-i.org/

Source: https://sourceforge.net/projects/faac/files/faad2-src/%{name}-2.8.0/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: autoconf, automake, libtool
BuildRequires: gcc-c++, zlib-devel
BuildRequires: gcc
%{!?_without_sysfs:BuildRequires: libsysfs-devel}

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q -n %{name}-%{version}

### Required to make automake < 1.7 work
%{__perl} -pi -e 's|dnl AC_PROG_CXX|AC_PROG_CXX|' configure.in

%build
# This is what the README.linux file recommends
autoreconf -vif
%configure \
	--with-mpeg4ip \
	--enable-shared \
	--disable-static \
    --with-drm
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog NEWS README* TODO
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/faad
%{_libdir}/libfaad.so.*
%{_libdir}/libfaad_drm.so.*
%{_mandir}/man1/faad.1*

%files devel
%defattr(-, root, root, 0755)
%attr(644,root,root) %{_includedir}/faad.h
%attr(644,root,root) %{_includedir}/neaacdec.h
%{_libdir}/libfaad.so
%{_libdir}/libfaad_drm.so

%changelog
* Thu Jul 12 2018 momo-i <webmaster@momo-i.org> - 2.8.8-1
- Update to 2.8.8

* Thu Jul 12 2018 momo-i <webmaster@momo-i.org> - 2.8.0-1
- Update to 2.8.0

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.7-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.7-3
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 2.7-2
- Rebuilt for fc22

* Tue Mar  5 2013 momo-i <webmaster@momo-i.org> 2.7-1
- Initial rpm release.
